<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.17
Name: Direkter Arztkontakt
Description: Wurde keine Ersteinschätzung durchgeführt, da ein direkter Arztkontakt erfolgt ist?
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000">
   <title>Direkter Arztkontakt</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]
Item: (direkter_arztkontakt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]"
         id="d42e1178-false-d2685e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]) &gt;= 1">(direkter_arztkontakt): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]) &lt;= 1">(direkter_arztkontakt): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]
Item: (direkter_arztkontakt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]"
         id="d42e1189-false-d2702e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="string(@classCode) = ('OBS')">(direkter_arztkontakt): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(direkter_arztkontakt): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']) &gt;= 1">(direkter_arztkontakt): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']) &lt;= 1">(direkter_arztkontakt): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-13' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &gt;= 1">(direkter_arztkontakt): Element hl7:code[(@code = 'FLN-13' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-13' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &lt;= 1">(direkter_arztkontakt): Element hl7:code[(@code = 'FLN-13' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(direkter_arztkontakt): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(direkter_arztkontakt): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(direkter_arztkontakt): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(direkter_arztkontakt): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="count(hl7:value[(@code = '305660003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]) &gt;= 1">(direkter_arztkontakt): Element hl7:value[(@code = '305660003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="count(hl7:value[(@code = '305660003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]) &lt;= 1">(direkter_arztkontakt): Element hl7:value[(@code = '305660003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']
Item: (direkter_arztkontakt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']"
         id="d42e1195-false-d2767e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(direkter_arztkontakt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.17')">(direkter_arztkontakt): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.17' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]/hl7:code[(@code = 'FLN-13' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]
Item: (direkter_arztkontakt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]/hl7:code[(@code = 'FLN-13' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]"
         id="d42e1200-false-d2782e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(direkter_arztkontakt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="@nullFlavor or (@code='FLN-13' and @codeSystem='1.2.276.0.76.3.1.195.5.98' and @displayName='Wurde keine Ersteinschätzung durchgeführt, da ein direkter Arztkontakt erfolgt ist?')">(direkter_arztkontakt): Der Elementinhalt MUSS einer von 'code 'FLN-13' codeSystem '1.2.276.0.76.3.1.195.5.98' displayName='Wurde keine Ersteinschätzung durchgeführt, da ein direkter Arztkontakt erfolgt ist?'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]/hl7:text
Item: (direkter_arztkontakt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]/hl7:text"
         id="d42e1205-false-d2798e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(direkter_arztkontakt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(direkter_arztkontakt): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(direkter_arztkontakt): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]/hl7:text/hl7:reference
Item: (direkter_arztkontakt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]/hl7:text/hl7:reference"
         id="d42e1210-false-d2817e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(direkter_arztkontakt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]/hl7:statusCode[@code = 'completed']
Item: (direkter_arztkontakt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]/hl7:statusCode[@code = 'completed']"
         id="d42e1214-false-d2828e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(direkter_arztkontakt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(direkter_arztkontakt): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]/hl7:effectiveTime
Item: (direkter_arztkontakt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]/hl7:effectiveTime"
         id="d42e1219-false-d2844e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(direkter_arztkontakt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="not(*)">(direkter_arztkontakt): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]/hl7:value[(@code = '305660003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]
Item: (direkter_arztkontakt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.17']]/hl7:value[(@code = '305660003' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]"
         id="d42e1221-false-d2858e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(direkter_arztkontakt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.17-2024-05-24T000000.html"
              test="@nullFlavor or (@code='305660003' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Seen by physician (finding)')">(direkter_arztkontakt): Der Elementinhalt MUSS einer von 'code '305660003' codeSystem '2.16.840.1.113883.6.96' displayName='Seen by physician (finding)'' sein.</assert>
   </rule>
</pattern>
