<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.43
Name: Schmerz
Description: Pain severity - 0-10 verbal numeric rating
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529">
   <title>Schmerz</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.43
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]
Item: (Painseverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]"
         id="d42e3324-false-d30481e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]) &gt;= 1">(Painseverity): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]) &lt;= 1">(Painseverity): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.43
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]
Item: (Painseverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]"
         id="d42e3333-false-d30498e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="string(@classCode) = ('OBS')">(Painseverity): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="string(@moodCode) = ('EVN')">(Painseverity): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']) &gt;= 1">(Painseverity): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']) &lt;= 1">(Painseverity): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:id) &lt;= 1">(Painseverity): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:code[(@code = '225908003' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(Painseverity): Element hl7:code[(@code = '225908003' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:code[(@code = '225908003' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(Painseverity): Element hl7:code[(@code = '225908003' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:text) &lt;= 1">(Painseverity): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Painseverity): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Painseverity): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Painseverity): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Painseverity): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:value) &gt;= 1">(Painseverity): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:value) &lt;= 1">(Painseverity): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.43
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']
Item: (Painseverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']"
         id="d42e3336-false-d30570e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Painseverity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.43')">(Painseverity): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.43' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.43
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:id
Item: (Painseverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:id"
         id="d42e3338-false-d30584e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Painseverity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.43
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:code[(@code = '225908003' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (Painseverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:code[(@code = '225908003' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e3339-false-d30595e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(Painseverity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="@nullFlavor or (@code='225908003' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Pain score (observable entity)')">(Painseverity): Der Elementinhalt MUSS einer von 'code '225908003' codeSystem '2.16.840.1.113883.6.96' displayName='Pain score (observable entity)'' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:translation[(@code = '72514-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Painseverity): Element hl7:translation[(@code = '72514-3' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:translation[(@code = '72514-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Painseverity): Element hl7:translation[(@code = '72514-3' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.43
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:code[(@code = '225908003' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '72514-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Painseverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:code[(@code = '225908003' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '72514-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3341-false-d30621e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Painseverity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="@nullFlavor or (@code='72514-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Pain severity - 0-10 verbal numeric rating [Score] - Reported')">(Painseverity): Der Elementinhalt MUSS einer von 'code '72514-3' codeSystem '2.16.840.1.113883.6.1' displayName='Pain severity - 0-10 verbal numeric rating [Score] - Reported'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.43
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:text
Item: (Painseverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:text"
         id="d42e3343-false-d30637e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Painseverity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:reference) &gt;= 1">(Painseverity): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="count(hl7:reference) &lt;= 1">(Painseverity): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.43
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:text/hl7:reference
Item: (Painseverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:text/hl7:reference"
         id="d42e3346-false-d30656e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(Painseverity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.43
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:statusCode[@code = 'completed']
Item: (Painseverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:statusCode[@code = 'completed']"
         id="d42e3347-false-d30667e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(Painseverity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="@nullFlavor or (@code='completed')">(Painseverity): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.43
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:effectiveTime
Item: (Painseverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:effectiveTime"
         id="d42e3349-false-d30683e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(Painseverity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="not(*)">(Painseverity): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.43
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:value
Item: (Painseverity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.43']]/hl7:value"
         id="d42e3350-false-d30696e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(Painseverity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Painseverity): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Painseverity): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="@value">(Painseverity): Attribut @value MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.43-2024-08-14T112529.html"
              test="string(@unit) = ('{score}')">(Painseverity): Der Wert von unit MUSS '{score}' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
</pattern>
