<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.52
Name: Röntgen-Thorax durchgeführt
Description: Abgeleitete Informationen über Diagnostik zur Weitergabe - Wurde ein Röntgen-Thorax durchgeführt?
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000">
   <title>Röntgen-Thorax durchgeführt</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.52
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]
Item: (rontgenthorax_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]"
         id="d42e3902-false-d32163e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]) &gt;= 1">(rontgenthorax_durchgefuhrt): Element hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]) &lt;= 1">(rontgenthorax_durchgefuhrt): Element hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.52
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]
Item: (rontgenthorax_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]"
         id="d42e3913-false-d32180e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="string(@classCode) = ('PROC')">(rontgenthorax_durchgefuhrt): Der Wert von classCode MUSS 'PROC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(rontgenthorax_durchgefuhrt): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="@negationInd">(rontgenthorax_durchgefuhrt): Attribut @negationInd MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']) &gt;= 1">(rontgenthorax_durchgefuhrt): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']) &lt;= 1">(rontgenthorax_durchgefuhrt): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '415232002' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(rontgenthorax_durchgefuhrt): Element hl7:code[(@code = '415232002' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '415232002' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(rontgenthorax_durchgefuhrt): Element hl7:code[(@code = '415232002' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(rontgenthorax_durchgefuhrt): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(rontgenthorax_durchgefuhrt): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(rontgenthorax_durchgefuhrt): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(rontgenthorax_durchgefuhrt): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.52
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']
Item: (rontgenthorax_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']"
         id="d42e3925-false-d32239e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(rontgenthorax_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.52')">(rontgenthorax_durchgefuhrt): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.52' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.52
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]/hl7:code[(@code = '415232002' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (rontgenthorax_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]/hl7:code[(@code = '415232002' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e3930-false-d32254e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(rontgenthorax_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="@nullFlavor or (@code='415232002' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Radiographic procedure of chest (procedure)')">(rontgenthorax_durchgefuhrt): Der Elementinhalt MUSS einer von 'code '415232002' codeSystem '2.16.840.1.113883.6.96' displayName='Radiographic procedure of chest (procedure)'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.52
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]/hl7:text
Item: (rontgenthorax_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]/hl7:text"
         id="d42e3936-false-d32270e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(rontgenthorax_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(rontgenthorax_durchgefuhrt): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(rontgenthorax_durchgefuhrt): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.52
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]/hl7:text/hl7:reference
Item: (rontgenthorax_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]/hl7:text/hl7:reference"
         id="d42e3941-false-d32289e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(rontgenthorax_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.52
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]/hl7:statusCode[@code = 'completed']
Item: (rontgenthorax_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]/hl7:statusCode[@code = 'completed']"
         id="d42e3944-false-d32300e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(rontgenthorax_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(rontgenthorax_durchgefuhrt): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.52
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]/hl7:effectiveTime
Item: (rontgenthorax_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]/hl7:effectiveTime"
         id="d42e3949-false-d32316e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(rontgenthorax_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.52-2024-05-24T000000.html"
              test="not(*)">(rontgenthorax_durchgefuhrt): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
</pattern>
