<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.55
Name: Ganzkörper-CT durchgeführt
Description: Abgeleitete Informationen über Diagnostik zur Weitergabe - Wurde ein Ganzkörper-CT durchgeführt?
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000">
   <title>Ganzkörper-CT durchgeführt</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.55
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]
Item: (ganzkorperct_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]"
         id="d42e4055-false-d32679e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]) &gt;= 1">(ganzkorperct_durchgefuhrt): Element hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]) &lt;= 1">(ganzkorperct_durchgefuhrt): Element hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.55
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]
Item: (ganzkorperct_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]"
         id="d42e4066-false-d32696e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="string(@classCode) = ('PROC')">(ganzkorperct_durchgefuhrt): Der Wert von classCode MUSS 'PROC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(ganzkorperct_durchgefuhrt): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="@negationInd">(ganzkorperct_durchgefuhrt): Attribut @negationInd MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']) &gt;= 1">(ganzkorperct_durchgefuhrt): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']) &lt;= 1">(ganzkorperct_durchgefuhrt): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '169072007' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(ganzkorperct_durchgefuhrt): Element hl7:code[(@code = '169072007' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '169072007' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(ganzkorperct_durchgefuhrt): Element hl7:code[(@code = '169072007' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(ganzkorperct_durchgefuhrt): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(ganzkorperct_durchgefuhrt): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(ganzkorperct_durchgefuhrt): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(ganzkorperct_durchgefuhrt): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.55
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']
Item: (ganzkorperct_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']"
         id="d42e4078-false-d32755e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ganzkorperct_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.55')">(ganzkorperct_durchgefuhrt): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.55' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.55
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]/hl7:code[(@code = '169072007' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (ganzkorperct_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]/hl7:code[(@code = '169072007' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e4083-false-d32770e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(ganzkorperct_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="@nullFlavor or (@code='169072007' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Computed tomography scan - whole body (procedure)')">(ganzkorperct_durchgefuhrt): Der Elementinhalt MUSS einer von 'code '169072007' codeSystem '2.16.840.1.113883.6.96' displayName='Computed tomography scan - whole body (procedure)'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.55
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]/hl7:text
Item: (ganzkorperct_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]/hl7:text"
         id="d42e4089-false-d32786e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(ganzkorperct_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(ganzkorperct_durchgefuhrt): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(ganzkorperct_durchgefuhrt): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.55
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]/hl7:text/hl7:reference
Item: (ganzkorperct_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]/hl7:text/hl7:reference"
         id="d42e4094-false-d32805e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(ganzkorperct_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.55
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]/hl7:statusCode[@code = 'completed']
Item: (ganzkorperct_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]/hl7:statusCode[@code = 'completed']"
         id="d42e4097-false-d32816e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(ganzkorperct_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(ganzkorperct_durchgefuhrt): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.55
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]/hl7:effectiveTime
Item: (ganzkorperct_durchgefuhrt)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]/hl7:effectiveTime"
         id="d42e4102-false-d32832e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(ganzkorperct_durchgefuhrt): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.55-2024-05-24T000000.html"
              test="not(*)">(ganzkorperct_durchgefuhrt): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
</pattern>
